Send email verification code
POST /users/email/verification
POST
/users/email/verification
Will send an email verification code to the user email as a link
Flow:
- Validate request.
- email and userId are required.
- email should be a valid email. - Validate user with the userId exists
- Validate: if email already verified and is connected with current user, return 400 email already verified
- Validate: if email already verified and is connected with another user, return 400 email already registered
- Generate requestToken(jwt) with email and userId in the claims.
- Send email verification with the requestToken attached in the verification link to the user’s email address.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”EmailVerificationSendRequest
object
email
string
ivan+rdh+fl@joingotu.comResponses
Section titled “ Responses ”No Content
Bad request
object
error
string
some meaningful error messageUnauthorized
object
error
string
some meaningful error messageForbidden
object
error
string
some meaningful error messageInternal server error
object
error
string
some meaningful error message